SDL-0.6.4: Binding to libSDL

Portability | portable
Stability | provisional
Maintainer | lemmih@gmail.com
Safe Haskell | None

Graphics.UI.SDL.General

Description

Synopsis

- init :: [InitFlag] -> IO ()
- withInit :: [InitFlag] -> IO a -> IO a
- initSubSystem :: [InitFlag] -> IO ()
- quitSubSystem :: [InitFlag] -> IO ()
- quit :: IO ()
- wasInit :: [InitFlag] -> IO [InitFlag]
- getError :: IO (Maybe String)
- failWithError :: String -> IO a
- unwrapBool :: String -> IO Bool -> IO ()
- unwrapMaybe :: String -> IO (Maybe a) -> IO a
- unwrapInt :: (Int -> Bool) -> String -> IO Int -> IO Int
- data InitFlag
  - = InitTimer
  - | InitAudio
  - | InitVideo
  - | InitCDROM
  - | InitJoystick
  - | InitNoParachute
  - | InitEventthread
  - | InitEverything

# Documentation

init :: [InitFlag] -> IO ()Source

Initializes SDL. This should be called before all other SDL functions.

withInit :: [InitFlag] -> IO a -> IO aSource

initSubSystem :: [InitFlag] -> IO ()Source

After SDL has been initialized with SDL_Init you may initialize uninitialized subsystems with SDL_InitSubSystem.

quitSubSystem :: [InitFlag] -> IO ()Source

quit :: IO ()Source

wasInit :: [InitFlag] -> IO [InitFlag]Source

wasInit allows you to see which SDL subsytems have been initialized

getError :: IO (Maybe String)Source

Returns a string containing the last error. Nothing if no error.

failWithError :: String -> IO aSource

unwrapBool :: String -> IO Bool -> IO ()Source

unwrapMaybe :: String -> IO (Maybe a) -> IO aSource

unwrapInt :: (Int -> Bool) -> String -> IO Int -> IO Int Source

data InitFlag Source

Constructors

InitTimer |
InitAudio |
InitVideo |
InitCDROM |
InitJoystick |
InitNoParachute |
InitEventthread |
InitEverything |

Instances

Bounded InitFlag |
Eq InitFlag |
Ord InitFlag |
Read InitFlag |
Show InitFlag |
Enum InitFlag Word32 |